Update Vector Database
curl --request POST \
--url https://api.vocode.dev/v1/vector_databases/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "vector_database_pinecone",
"index": "<string>",
"api_key": "<string>",
"api_environment": "<string>"
}
'import requests
url = "https://api.vocode.dev/v1/vector_databases/update"
payload = {
"type": "vector_database_pinecone",
"index": "<string>",
"api_key": "<string>",
"api_environment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'vector_database_pinecone',
index: '<string>',
api_key: '<string>',
api_environment: '<string>'
})
};
fetch('https://api.vocode.dev/v1/vector_databases/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vector_database_pinecone",
"index": "<string>",
"api_key": "<string>",
"api_environment": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Vector Databases
Update Vector Database
POST
/
v1
/
vector_databases
/
update
Update Vector Database
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json
⌘I
